## kf6-kguiaddons 6.21.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.21.0") # handled by release scripts
project(KGuiAddons VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.21.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMGenerateExportHeader)
include(ECMGeneratePkgConfigFile)
include(ECMMarkNonGuiExecutable)
include(ECMQmlModule)
include(ECMGenerateQDoc)

option(BUILD_GEO_SCHEME_HANDLER "Build the geo: URI scheme handler. Disable this if you are building two major versions for co-installability in the older variant." ON)

if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    option(WITH_WAYLAND "Build with support for KModifierKeyInfo, KSystemClipboard and KKeySequenceRecorder inhibiting shortcuts on Wayland" ON)
    add_feature_info(WAYLAND ${WITH_WAYLAND} "KeySequenceEditor inhibiting shortcuts on Wayland")

    option(WITH_X11 "Build with support for KModifierKeyInfo on X11" ON)
    add_feature_info(X11 ${WITH_X11} "KeySequenceEditor inhibiting shortcuts on X11")
else()
    set(WITH_WAYLAND OFF)
    set(WITH_X11 OFF)
endif()

set(REQUIRED_QT_VERSION 6.8.0)

find_package(Qt6Gui ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

if (WITH_WAYLAND)
    # Qt6GuiPrivate  must be found before Qt6WaylandClient
    if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
        find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    else()
        find_package(Qt6Gui ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Private)
    endif()
endif()

if (WITH_X11)
    find_package(X11 REQUIRED MODULE)
    find_package(XCB REQUIRED MODULE COMPONENTS XCB)
    if(NOT QT_FEATURE_xcb)
        message(FATAL_ERROR "Qt xcb feature is missing for compilation with X11")
    endif()
endif()

if (WITH_WAYLAND)
    find_package(WaylandProtocols 1.39 REQUIRED)
    find_package(PlasmaWaylandProtocols 1.15.0 REQUIRED)
    find_package(Qt6WaylandClient ${REQUIRED_QT_VERSION} REQUIRED CONFIG)
    find_package(Wayland 1.9 REQUIRED Client)
endif()

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus (get color scheme information via XDG portals)" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    set(WITH_DBUS ON)
endif()

if (ANDROID)
    find_package(Gradle REQUIRED)
endif()
option(BUILD_PYTHON_BINDINGS "Build Python bindings" ON)

# Only Linux and FreeBSD CI has the relevant packages
if (ANDROID OR APPLE OR WIN32 OR HAIKU OR NOT BUILD_SHARED_LIBS)
    set(BUILD_PYTHON_BINDINGS OFF)
endif()

if (BUILD_PYTHON_BINDINGS)
    find_package(Python3 3.9 REQUIRED COMPONENTS Interpreter Development)
    find_package(Shiboken6 REQUIRED)
    find_package(PySide6 REQUIRED)
endif()

add_feature_info(PYTHON_BINDINGS ${BUILD_PYTHON_BINDINGS} "Python bindings")

set(kguiaddons_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kguiaddons_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KGUIADDONS
                        VERSION_HEADER "${kguiaddons_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6GuiAddonsConfigVersion.cmake"
                        SOVERSION 6)

ecm_set_disabled_deprecation_versions(
    QT 6.10
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

if (BUILD_PYTHON_BINDINGS)
    include(ECMGeneratePythonBindings)
    add_subdirectory(python)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6GuiAddons")

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6GuiAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6GuiAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF6GuiAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF6GuiAddonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )


install(EXPORT KF6GuiAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF6GuiAddonsTargets.cmake NAMESPACE KF6:: COMPONENT Devel)


install(FILES ${kguiaddons_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KGuiAddons COMPONENT Devel)

if (NOT WIN32)
    ecm_generate_pkgconfig_file(BASE_NAME KF6GuiAddons
      INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KGuiAddons
      DEPS Qt6Gui
    INSTALL)
endif()

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kguiaddons (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:51:14 +0000

kf6-kguiaddons (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:14:06 +0000

=== debian/control ===
Source: kf6-kguiaddons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.21.0~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-base-private-dev (>= 6.8.0+dfsg~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.8.0~),
               qt6-wayland-dev (>= 6.8.0~) [linux-any],
               wayland-protocols (>= 1.39~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kguiaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kguiaddons
Rules-Requires-Root: no

Package: libkf6guiaddons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5guiaddons-bin (<< 5.116.0-0ubuntu2~),
Replaces: libkf5guiaddons-bin (<< 5.116.0-0ubuntu2~),
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains kde-geo-uri-handler.

Package: libkf6guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains shared data files.

Package: libkf6guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.21.0~),
         libkf6guiaddons6 (= ${binary:Version}),
         qml6-module-org-kde-guiaddons (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0+dfsg~),
         qt6-wayland-dev (>= 6.8.0~) [linux-any],
         ${misc:Depends},
Recommends: libkf6guiaddons-doc (= ${source:Version}),
Description: development headers for the kguiaddons framework
 This package contains development files for building software that uses
 libraries from the kguiaddon framework

Package: libkf6guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: additional addons for QtGui (documentation)
 Qt widgets for colours, fonts and text
 .
 This package contains the qch documentation files.

Package: libkf6guiaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6guiaddons-bin (= ${binary:Version}),
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text

Package: qml6-module-org-kde-guiaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text

## kf6-kguiaddons 6.21.0+p24.04+vstable+git20251207.0636

=== debian/changelog ===
kf6-kguiaddons (6.21.0+p24.04+vstable+git20251207.0636-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 06:36:16 +0000

kf6-kguiaddons (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:12:25 +1000

## kf6-kguiaddons 6.21.0+p24.04+vstable+git20251220.0057

=== debian/changelog ===
kf6-kguiaddons (6.21.0+p24.04+vstable+git20251220.0057-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 00:57:17 +0000

## kf6-kguiaddons 6.21.0+p24.04+vstable+git20251226.0129

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
@@ -103,7 +103,7 @@
                         SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10
+    QT 6.11
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-kguiaddons (6.21.0+p24.04+vstable+git20251226.0129-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 01:29:02 +0000

## kf6-kguiaddons 6.21.0+p24.04+vstable+git20260103.0109

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kguiaddons (6.21.0+p24.04+vstable+git20260103.0109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 01:09:17 +0000

## kf6-kguiaddons 6.21.0+p24.04+vstable+git20260105.0810

=== debian/changelog ===
kf6-kguiaddons (6.21.0+p24.04+vstable+git20260105.0810-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:10:17 +0000

## kf6-kguiaddons 6.21.0+p24.04+vunstable+git20251207.0530

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -103,7 +103,7 @@
                         SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.11
+    QT 6.10
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-kguiaddons (6.21.0+p24.04+vunstable+git20251207.0530-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 05:30:19 +0000

## kf6-kguiaddons 6.22.0

=== debian/changelog ===
kf6-kguiaddons (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:30:23 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libwayland-dev (>= 1.9~) [linux-any],
                libx11-dev,
                libxcb1-dev,
@@ -52,7 +52,7 @@
 Package: libkf6guiaddons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.21.0~),
+Depends: libkf6coreaddons-dev (>= 6.22.0~),
          libkf6guiaddons6 (= ${binary:Version}),
          qml6-module-org-kde-guiaddons (= ${binary:Version}),
          qt6-base-dev (>= 6.8.0+dfsg~),

## kf6-kguiaddons 6.22.0+p24.04+vstable+git20260106.0803

=== debian/changelog ===
kf6-kguiaddons (6.22.0+p24.04+vstable+git20260106.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 08:03:29 +0000

kf6-kguiaddons (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:43:59 +1000

## kf6-kguiaddons 6.22.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.22.1") # handled by release scripts
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -103,7 +103,7 @@
                         SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10
+    QT 6.11
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-kguiaddons (6.22.1-0zneon+24.04+noble+release+build43) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 08:40:10 +0000

kf6-kguiaddons (6.22.1-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 18:12:21 +1000

## kf6-kguiaddons 6.22.1+p24.04+vstable+git20260126.0604

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.1") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-kguiaddons (6.22.1+p24.04+vstable+git20260126.0604-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 06:04:15 +0000

## kf6-kguiaddons 6.22.1+p24.04+vstable+git20260131.0134

=== src/CMakeLists.txt ===
configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_library(KF6GuiAddons)
add_library(KF6::GuiAddons ALIAS KF6GuiAddons)

set_target_properties(KF6GuiAddons PROPERTIES
    VERSION     ${KGUIADDONS_VERSION}
    SOVERSION   ${KGUIADDONS_SOVERSION}
    EXPORT_NAME GuiAddons
)

target_sources(KF6GuiAddons PRIVATE
 colors/kcolorspaces.cpp
 colors/kcolorutils.cpp
 colors/kcolorcollection.cpp
 colors/kcolormimedata.cpp
 colors/kcolorschemewatcher.cpp
 colors/kcolorschemewatcherbackend.cpp
 colors/kcolorschemewatcher_qt.cpp
 colors/kwindowinsetscontroller.cpp
 text/kdatevalidator.cpp
 text/kwordwrap.cpp
 fonts/kfontutils.cpp
 util/kiconutils.cpp
 util/klocalimagecacheimpl.cpp
 util/kmodifierkeyinfo.cpp
 util/kmodifierkeyinfoprovider.cpp
 util/kurlhandler_p.cpp
 util/kcursorsaver.cpp
 util/kcountryflagemojiiconengine.cpp
 util/kjobwindows.cpp
 util/ksysteminhibitor.cpp
 recorder/keyboardgrabber.cpp
 recorder/kkeysequencerecorder.cpp
 systemclipboard/qtclipboard.cpp
 systemclipboard/ksystemclipboard.cpp

 colors/kcolorspaces_p.h
 colors/kcolorutils.h
 colors/kcolorcollection.h
 colors/kcolormimedata.h
 text/kdatevalidator.h
 text/kwordwrap.h
 fonts/kfontutils.h
 util/kiconutils.h
 util/klocalimagecacheimpl.h
 util/kmodifierkeyinfo.h
 util/kmodifierkeyinfoprovider_p.h
 util/kurlhandler_p.h
 util/kcursorsaver.h
 util/kcountryflagemojiiconengine.h
 util/kjobwindows.h
 recorder/keyboardgrabber_p.h
 recorder/kkeysequencerecorder.h
 systemclipboard/qtclipboard_p.h
 systemclipboard/ksystemclipboard.h
)

ecm_qt_declare_logging_category(KF6GuiAddons
    HEADER kguiaddons_debug.h
    IDENTIFIER KGUIADDONS_LOG
    CATEGORY_NAME kf.guiaddons
    DESCRIPTION "KGuiAddons"
    EXPORT KGUIADDONS
)

if(WIN32)
    target_sources(KF6GuiAddons PRIVATE colors/kcolorschemewatcher_win.cpp)
    target_link_libraries(KF6GuiAddons PRIVATE advapi32)
endif()

if(APPLE)
    find_library(APPKIT_LIBRARY AppKit)
    target_sources(KF6GuiAddons PRIVATE colors/kcolorschemewatcher_mac.mm)
    target_link_libraries(KF6GuiAddons PRIVATE ${APPKIT_LIBRARY})
endif()

if(WITH_DBUS)
    target_sources(KF6GuiAddons PRIVATE colors/kcolorschemewatcher_xdg.cpp)
    target_link_libraries(KF6GuiAddons PRIVATE Qt6::DBus)
    target_compile_definitions(KF6GuiAddons PRIVATE WITH_DBUS)
endif()

if(WITH_WAYLAND)
    if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
        set(private_code_option  "PRIVATE_CODE")
    endif()
    qt_generate_wayland_protocol_client_sources(KF6GuiAddons
        FILES
            "${CMAKE_CURRENT_SOURCE_DIR}/recorder/keyboard-shortcuts-inhibit-unstable-v1.xml"
            "${CMAKE_CURRENT_SOURCE_DIR}/systemclipboard/wlr-data-control-unstable-v1.xml"
            "${PLASMA_WAYLAND_PROTOCOLS_DIR}/keystate.xml"
            "${WaylandProtocols_DATADIR}/staging/ext-data-control/ext-data-control-v1.xml"
            "${Wayland_DATADIR}/wayland.xml"
        ${private_code_option}
    )
    target_sources(KF6GuiAddons PRIVATE
        recorder/waylandinhibition.cpp
        systemclipboard/waylandclipboard.cpp
        systemclipboard/wlrwaylandclipboard.cpp
        util/kmodifierkeyinfoprovider_wayland.cpp
        recorder/waylandinhibition_p.h
        systemclipboard/waylandclipboard_p.h
        systemclipboard/wlrwaylandclipboard_p.h
        util/kmodifierkeyinfoprovider_wayland.h
    )
    target_compile_definitions(KF6GuiAddons PRIVATE WITH_WAYLAND)
    target_link_libraries(KF6GuiAddons PRIVATE Qt6::GuiPrivate Qt6::WaylandClient Wayland::Client)
endif()

if(WITH_X11)
    target_sources(KF6GuiAddons PRIVATE util/kmodifierkeyinfoprovider_xcb.cpp util/kmodifierkeyinfoprovider_xcb.h)
    target_link_libraries(KF6GuiAddons PRIVATE X11::Xkb XCB::XCB)
endif()

if(ANDROID)
    add_subdirectory(android)
endif()

ecm_generate_export_header(KF6GuiAddons
    BASE_NAME KGuiAddons
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 6.3 6.12 6.22
)

set(kguiaddons_INCLUDES
  ${CMAKE_CURRENT_SOURCE_DIR}/colors
  ${CMAKE_CURRENT_SOURCE_DIR}/fonts
  ${CMAKE_CURRENT_SOURCE_DIR}/text
  ${CMAKE_CURRENT_SOURCE_DIR}/util
  ${CMAKE_CURRENT_SOURCE_DIR}/recorder
  ${CMAKE_CURRENT_SOURCE_DIR}/systemclipboard
  )
target_include_directories(KF6GuiAddons PUBLIC "$<BUILD_INTERFACE:${kguiaddons_INCLUDES}>")
target_include_directories(KF6GuiAddons INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KGuiAddons>" )
target_compile_definitions(KF6GuiAddons INTERFACE "$<INSTALL_INTERFACE:KGUIADDONS_LIB>")
target_link_libraries(KF6GuiAddons PUBLIC Qt6::Gui)

qt_extract_metatypes(KF6GuiAddons)

ecm_generate_headers(KGuiAddons_HEADERS
  HEADER_NAMES
  KColorUtils
  KColorCollection
  KColorMimeData
  KColorSchemeWatcher
  KWindowInsetsController

  RELATIVE colors
  REQUIRED_HEADERS KGuiAddons_HEADERS
)
ecm_generate_headers(KGuiAddons_HEADERS
  HEADER_NAMES
  KDateValidator
  KWordWrap

  RELATIVE text
  REQUIRED_HEADERS KGuiAddons_HEADERS
)
ecm_generate_headers(KGuiAddons_HEADERS
  HEADER_NAMES
  KFontUtils

  RELATIVE fonts
  REQUIRED_HEADERS KGuiAddons_HEADERS
)
ecm_generate_headers(KGuiAddons_HEADERS
  HEADER_NAMES
  KIconUtils
  KImageCache
  KModifierKeyInfo
  KCursorSaver
  KCountryFlagEmojiIconEngine
  KJobWindows
  KSystemInhibitor

  RELATIVE util
  REQUIRED_HEADERS KGuiAddons_HEADERS
)

ecm_generate_headers(KGuiAddons_HEADERS
    HEADER_NAMES
    KKeySequenceRecorder

    RELATIVE recorder
    REQUIRED_HEADERS KGuiAddons_HEADERS
)

#add_subdirectory(systemclipboard)

ecm_generate_headers(KGuiAddons_HEADERS
    HEADER_NAMES
    KSystemClipboard

    RELATIVE systemclipboard
    REQUIRED_HEADERS KGuiAddons_HEADERS
)

install(TARGETS KF6GuiAddons EXPORT KF6GuiAddonsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kguiaddons_export.h
  util/kmodifierkeyinfoprovider_p.h
  util/klocalimagecacheimpl.h # implementation detail, no forwarding header
  ${KGuiAddons_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KGuiAddons COMPONENT Devel
)

ecm_generate_qdoc(KF6GuiAddons kguiaddons.qdocconf)

ecm_qt_install_logging_categories(
    EXPORT KGUIADDONS
    FILE kguiaddons.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

if(BUILD_TESTING)
    add_executable(pasteclient systemclipboard/tests/paste.cpp)

    target_link_libraries(pasteclient
        KF6GuiAddons
    )
endif()

if (NOT ANDROID AND BUILD_GEO_SCHEME_HANDLER)
    add_subdirectory(geo-scheme-handler)
endif()

if (TARGET Qt6::Qml)
    add_subdirectory(qml)
endif()

=== debian/changelog ===
kf6-kguiaddons (6.22.1+p24.04+vstable+git20260131.0134-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:34:12 +0000

## kf6-kguiaddons 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,6 @@
  util/kcursorsaver.cpp
  util/kcountryflagemojiiconengine.cpp
  util/kjobwindows.cpp
- util/ksysteminhibitor.cpp
  recorder/keyboardgrabber.cpp
  recorder/kkeysequencerecorder.cpp
  systemclipboard/qtclipboard.cpp
@@ -76,7 +75,10 @@
 endif()
 
 if(WITH_DBUS)
-    target_sources(KF6GuiAddons PRIVATE colors/kcolorschemewatcher_xdg.cpp)
+    target_sources(KF6GuiAddons PRIVATE
+        colors/kcolorschemewatcher_xdg.cpp
+        util/ksysteminhibitor_dbus.cpp
+    )
     target_link_libraries(KF6GuiAddons PRIVATE Qt6::DBus)
     target_compile_definitions(KF6GuiAddons PRIVATE WITH_DBUS)
 endif()
@@ -114,7 +116,16 @@
 endif()
 
 if(ANDROID)
+    target_sources(KF6GuiAddons PRIVATE
+        util/ksysteminhibitor_android.cpp
+    )
     add_subdirectory(android)
+endif()
+
+if (NOT WITH_DBUS AND NOT ANDROID)
+    target_sources(KF6GuiAddons PRIVATE
+        util/ksysteminhibitor_dummy.cpp
+    )
 endif()
 
 ecm_generate_export_header(KF6GuiAddons

=== tests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)

include(ECMMarkAsTest)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test Widgets)

macro(kguiaddons_executable_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname} Qt6::Widgets KF6::GuiAddons)
    ecm_mark_as_test(${_testname})
  endforeach(_testname)
endmacro()

kguiaddons_executable_tests(
  kcolorcollectiontest
  kmodifierkeyinfotest
  openurltest
  kcursorsavergui_test
  kcolorschemewatchertest
  kcountryflagemojiiconenginedemo
  clipboardtest
)

=== debian/changelog ===
kf6-kguiaddons (6.23.0-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 41674ffb8343499704f8278b39ccabe03328e050 to fix
    the build when Wayland is not enabled; patch
    upstream_CMake-Find-Qt6-GuiPrivate-when-USE_DBUS-is-enabled.patch.

 -- Pino Toscano <pino@debian.org>  Wed, 25 Feb 2026 06:47:49 +0100

kf6-kguiaddons (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Update symbols from build for 6.23.0.
  * Drop armel bits, as that architecture was discontinued.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:03 +0100

=== debian/control ===
Source: kf6-kguiaddons
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.27~),
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.15.0~) [linux-any],
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.8.0~),
               qt6-declarative-dev,
               qt6-tools-dev (>= 6.5.0~),
               qt6-wayland-dev (>= 6.8.0~) [linux-any],
               wayland-protocols (>= 1.39~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons.git

Package: libkf6guiaddons-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5guiaddons-bin,
Replaces: libkf5guiaddons-bin,
Description: geographical URI helper
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains kde-geo-uri-handler for opening geographical URIs.

Package: libkf6guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains architecture-independent shared data files for the
 kguiaddons framework.

Package: libkf6guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.7.0~),
         libkf6guiaddons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         qt6-wayland-dev (>= 6.8.0~) [linux-any],
         ${misc:Depends},
Recommends: libkf6guiaddons-doc (= ${source:Version}),
Description: development headers for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains development files for building software that uses
 libraries from the kguiaddons framework.

Package: libkf6guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: documentation files for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains the qch documentation files for the kguiaddons
 framework.

Package: libkf6guiaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6guiaddons-bin (= ${binary:Version}),
Description: utilities for graphical user interfaces
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.

Package: qml6-module-org-kde-guiaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: QML binding for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains the QML bindings for using KDE GUI addons inside QML
 applications.

## kf6-kguiaddons 6.23.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_VERSION "6.23.1") # handled by release scripts
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-kguiaddons (6.23.1-0ubuntu2) resolute; urgency=medium

  * Rebuild due to stuck LP builds on previous revision.

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 07:49:31 +0000

kf6-kguiaddons (6.23.1-0ubuntu1) resolute; urgency=medium

  * New upstream bugfix release (6.23.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Mar 2026 17:42:54 +0000

kf6-kguiaddons (6.23.0-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 01:26:44 +0000

kf6-kguiaddons (6.23.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.23.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Feb 2026 11:37:28 +0000

kf6-kguiaddons (6.22.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:32:57 +0000
